Schemas - Create Or Update

Tworzy lub aktualizuje schemat konta integracji.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/schemas/{schemaName}?api-version=2016-06-01

Parametry identyfikatora URI

Nazwisko W Wymagane Typ Opis
integrationAccountName
path True

string

Nazwa konta integracji.

resourceGroupName
path True

string

Nazwa grupy zasobów.

schemaName
path True

string

Nazwa schematu konta integracji.

subscriptionId
path True

string

Identyfikator subskrypcji.

api-version
query True

string

Wersja interfejsu API.

Treść żądania

Nazwisko Wymagane Typ Opis
properties.schemaType True

SchemaType

Typ schematu.

location

string

Lokalizacja zasobu.

properties.content

Content

Zawartość.

properties.contentType

string

Typ zawartości.

properties.documentName

string

Nazwa dokumentu.

properties.fileName

string

Nazwa pliku.

properties.metadata

Metadata

Metadane.

properties.targetNamespace

string

Docelowa przestrzeń nazw schematu.

tags

object

Tagi zasobów.

Odpowiedzi

Nazwisko Typ Opis
200 OK

IntegrationAccountSchema

OK

201 Created

IntegrationAccountSchema

Utworzono

Zabezpieczenia

azure_auth

Przepływ protokołu OAuth2 usługi Azure Active Directory.

Typ: oauth2
Flow: implicit
Adres URL autoryzacji: https://login.microsoftonline.com/common/oauth2/authorize

Zakresy

Nazwisko Opis
user_impersonation personifikacja konta użytkownika

Przykłady

Create or update schema

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/schemas/testSchema?api-version=2016-06-01

{
  "properties": {
    "schemaType": "Xml",
    "metadata": {},
    "content": "<?xml version=\"1.0\" encoding=\"utf-16\"?>\r\n<xs:schema xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" xmlns=\"http://Inbound_EDI.OrderFile\" targetNamespace=\"http://Inbound_EDI.OrderFile\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\">\r\n  <xs:annotation>\r\n    <xs:appinfo>\r\n      <b:schemaInfo default_pad_char=\" \" count_positions_by_byte=\"false\" parser_optimization=\"speed\" lookahead_depth=\"3\" suppress_empty_nodes=\"false\" generate_empty_nodes=\"true\" allow_early_termination=\"false\" early_terminate_optional_fields=\"false\" allow_message_breakup_of_infix_root=\"false\" compile_parse_tables=\"false\" standard=\"Flat File\" root_reference=\"OrderFile\" />\r\n      <schemaEditorExtension:schemaInfo namespaceAlias=\"b\" extensionClass=\"Microsoft.BizTalk.FlatFileExtension.FlatFileExtension\" standardName=\"Flat File\" xmlns:schemaEditorExtension=\"http://schemas.microsoft.com/BizTalk/2003/SchemaEditorExtensions\" />\r\n    </xs:appinfo>\r\n  </xs:annotation>\r\n  <xs:element name=\"OrderFile\">\r\n    <xs:annotation>\r\n      <xs:appinfo>\r\n        <b:recordInfo structure=\"delimited\" preserve_delimiter_for_empty_data=\"true\" suppress_trailing_delimiters=\"false\" sequence_number=\"1\" />\r\n      </xs:appinfo>\r\n    </xs:annotation>\r\n    <xs:complexType>\r\n      <xs:sequence>\r\n        <xs:annotation>\r\n          <xs:appinfo>\r\n            <b:groupInfo sequence_number=\"0\" />\r\n          </xs:appinfo>\r\n        </xs:annotation>\r\n        <xs:element name=\"Order\">\r\n          <xs:annotation>\r\n            <xs:appinfo>\r\n              <b:recordInfo sequence_number=\"1\" structure=\"delimited\" preserve_delimiter_for_empty_data=\"true\" suppress_trailing_delimiters=\"false\" child_delimiter_type=\"hex\" child_delimiter=\"0x0D 0x0A\" child_order=\"infix\" />\r\n            </xs:appinfo>\r\n          </xs:annotation>\r\n          <xs:complexType>\r\n            <xs:sequence>\r\n              <xs:annotation>\r\n                <xs:appinfo>\r\n                  <b:groupInfo sequence_number=\"0\" />\r\n                </xs:appinfo>\r\n              </xs:annotation>\r\n              <xs:element name=\"Header\">\r\n                <xs:annotation>\r\n                  <xs:appinfo>\r\n                    <b:recordInfo sequence_number=\"1\" structure=\"delimited\" preserve_delimiter_for_empty_data=\"true\" suppress_trailing_delimiters=\"false\" child_delimiter_type=\"char\" child_delimiter=\"|\" child_order=\"infix\" tag_name=\"HDR|\" />\r\n                  </xs:appinfo>\r\n                </xs:annotation>\r\n                <xs:complexType>\r\n                  <xs:sequence>\r\n                    <xs:annotation>\r\n                      <xs:appinfo>\r\n                        <b:groupInfo sequence_number=\"0\" />\r\n                      </xs:appinfo>\r\n                    </xs:annotation>\r\n                    <xs:element name=\"PODate\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"1\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"PONumber\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo justification=\"left\" sequence_number=\"2\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"CustomerID\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"3\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"CustomerContactName\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"4\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"CustomerContactPhone\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"5\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                  </xs:sequence>\r\n                </xs:complexType>\r\n              </xs:element>\r\n              <xs:element minOccurs=\"1\" maxOccurs=\"unbounded\" name=\"LineItems\">\r\n                <xs:annotation>\r\n                  <xs:appinfo>\r\n                    <b:recordInfo sequence_number=\"2\" structure=\"delimited\" preserve_delimiter_for_empty_data=\"true\" suppress_trailing_delimiters=\"false\" child_delimiter_type=\"char\" child_delimiter=\"|\" child_order=\"infix\" tag_name=\"DTL|\" />\r\n                  </xs:appinfo>\r\n                </xs:annotation>\r\n                <xs:complexType>\r\n                  <xs:sequence>\r\n                    <xs:annotation>\r\n                      <xs:appinfo>\r\n                        <b:groupInfo sequence_number=\"0\" />\r\n                      </xs:appinfo>\r\n                    </xs:annotation>\r\n                    <xs:element name=\"PONumber\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"1\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"ItemOrdered\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"2\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"Quantity\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"3\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"UOM\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"4\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"Price\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"5\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"ExtendedPrice\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"6\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                    <xs:element name=\"Description\" type=\"xs:string\">\r\n                      <xs:annotation>\r\n                        <xs:appinfo>\r\n                          <b:fieldInfo sequence_number=\"7\" justification=\"left\" />\r\n                        </xs:appinfo>\r\n                      </xs:annotation>\r\n                    </xs:element>\r\n                  </xs:sequence>\r\n                </xs:complexType>\r\n              </xs:element>\r\n            </xs:sequence>\r\n          </xs:complexType>\r\n        </xs:element>\r\n      </xs:sequence>\r\n    </xs:complexType>\r\n  </xs:element>\r\n</xs:schema>",
    "contentType": "application/xml"
  },
  "location": "westus",
  "tags": {
    "integrationAccountSchemaName": "IntegrationAccountSchema8120"
  }
}

Przykładowa odpowiedź

{
  "properties": {
    "schemaType": "Xml",
    "targetNamespace": "http://Inbound_EDI.OrderFile",
    "documentName": "OrderFile",
    "contentLink": {
      "uri": "<contentLinkUrl>",
      "contentVersion": "\"0x8D45C56FEDFCB45\"",
      "contentSize": 7901,
      "contentHash": {
        "algorithm": "md5",
        "value": "<value>"
      }
    },
    "createdTime": "2017-02-24T01:46:48.0837583Z",
    "changedTime": "2017-02-24T01:46:48.0847046Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/schemas/testSchema",
  "name": "IntegrationAccountSchema5349",
  "type": "Microsoft.Logic/integrationAccounts/schemas"
}
{
  "properties": {
    "schemaType": "Xml",
    "targetNamespace": "http://Inbound_EDI.OrderFile",
    "documentName": "OrderFile",
    "contentLink": {
      "uri": "<contentLinkUrl>",
      "contentVersion": "\"0x8D45C56FEDFCB45\"",
      "contentSize": 7901,
      "contentHash": {
        "algorithm": "md5",
        "value": "<value>"
      }
    },
    "createdTime": "2017-02-24T01:46:48.0837583Z",
    "changedTime": "2017-02-24T01:46:48.0847046Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/schemas/testSchema",
  "name": "IntegrationAccountSchema5349",
  "type": "Microsoft.Logic/integrationAccounts/schemas"
}

Definicje

Nazwisko Opis
Content

Zawartość.

ContentHash

Skrót zawartości.

ContentLink

Link do zawartości.

IntegrationAccountSchema

Schemat konta integracji.

Metadata

Metadane.

Object
SchemaType

Content

Zawartość.

ContentHash

Skrót zawartości.

Nazwisko Typ Opis
algorithm

string

Algorytm skrótu zawartości.

value

string

Wartość skrótu zawartości.

Link do zawartości.

Nazwisko Typ Opis
contentHash

ContentHash

Skrót zawartości.

contentSize

integer (int64)

Rozmiar zawartości.

contentVersion

string

Wersja zawartości.

metadata

Object

Metadane.

uri

string

Identyfikator URI łącza zawartości.

IntegrationAccountSchema

Schemat konta integracji.

Nazwisko Typ Opis
id

string

Identyfikator zasobu.

location

string

Lokalizacja zasobu.

name

string

Pobiera nazwę zasobu.

properties.changedTime

string (date-time)

Zmieniony czas.

properties.content

Content

Zawartość.

properties.contentLink

ContentLink

Link do zawartości.

properties.contentType

string

Typ zawartości.

properties.createdTime

string (date-time)

Czas utworzenia.

properties.documentName

string

Nazwa dokumentu.

properties.fileName

string

Nazwa pliku.

properties.metadata

Metadata

Metadane.

properties.schemaType

SchemaType

Typ schematu.

properties.targetNamespace

string

Docelowa przestrzeń nazw schematu.

tags

object

Tagi zasobów.

type

string

Pobiera typ zasobu.

Metadata

Metadane.

Object

SchemaType

Wartość Opis
NotSpecified
Xml